Bug 478121 - MIGRATED_FROM_JIRA: java.nio.BufferOverflowException
MIGRATED_FROM_JIRA: java.nio.BufferOverflowException
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:01 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:01:19 EST
java.nio.BufferOverflowException
        at org.apache.asn1.ber.TagOctetCollector.put(TagOctetCollector.java:66)
        at org.apache.asn1.ber.Tag.add(Tag.java:108)
        at org.apache.asn1.ber.TagDecoder.decode(TagDecoder.java:53)
        at org.apache.asn1.ber.BERDecoder.decode(BERDecoder.java:153)
        at org.apache.asn1.ber.digester.BERDigester.decode(BERDigester.java:145)
        at org.apache.ldap.common.berlib.asn1.SnickersDecoder.decode(SnickersDecoder.java:98)
        at org.apache.ldap.common.message.MessageDecoder.decode(MessageDecoder.java:141)
        at org.apache.asn1.codec.mina.Asn1CodecDecoder.decode(Asn1CodecDecoder.java:41)
        at org.apache.mina.protocol.io.IoAdapter$SessionHandlerAdapter.dataRead(IoAdapter.java:136)
        at org.apache.mina.io.AbstractIoFilterChain$2.dataRead(AbstractIoFilterChain.java:152)
        at org.apache.mina.io.AbstractIoFilterChain.callNextDataRead(AbstractIoFilterChain.java:372)
        at org.apache.mina.io.AbstractIoFilterChain.access$1000(AbstractIoFilterChain.java:51)
        at org.apache.mina.io.AbstractIoFilterChain$Entry$1.dataRead(AbstractIoFilterChain.java:531)
        at org.apache.mina.io.AbstractIoFilterChain$1.dataRead(AbstractIoFilterChain.java:100)
        at org.apache.mina.io.AbstractIoFilterChain.callNextDataRead(AbstractIoFilterChain.java:372)
        at org.apache.mina.io.AbstractIoFilterChain.dataRead(AbstractIoFilterChain.java:363)
        at org.apache.mina.io.IoSessionManagerFilterChain$1.dataRead(IoSessionManagerFilterChain.java:77)
        at org.apache.mina.io.AbstractIoFilterChain.callNextDataRead(AbstractIoFilterChain.java:372)
        at org.apache.mina.io.AbstractIoFilterChain.access$1000(AbstractIoFilterChain.java:51)
        at org.apache.mina.io.AbstractIoFilterChain$Entry$1.dataRead(AbstractIoFilterChain.java:531)
        at org.apache.mina.io.filter.IoThreadPoolFilter.processEvent(IoThreadPoolFilter.java:107)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:410)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:355)
        
Additional Comments From endisd dated Mon May 15 14:16:37 CDT 2006 
The stack trace doesn't indicate any reference to Penrose code. Perhaps this is related to ApacheDS library. The latest Penrose nightly build contains a newer version of ApacheDS library. If this issue is still valid, please reopen this issue. Also please provide the scenario how to reproduce the problem.

Additional Comments From karmano dated Mon Nov 13 19:32:25 CST 2006 
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno65.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno66.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno67.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno68.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno69.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno70.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno71.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno72.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno73.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno74.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno75.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno76.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno77.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno78.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno79.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno80.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno81.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno82.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno83.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno84.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno85.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno86.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno87.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno88.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno89.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno90.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno91.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno92.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno93.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno94.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno95.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno96.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno97.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno98.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/pno99.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline0.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline1.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline2.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline3.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline4.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline5.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline6.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline7.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline8.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline9.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline10.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline11.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline12.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline13.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline14.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline15.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline16.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline17.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline18.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline19.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline20.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline21.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline22.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline23.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline24.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline25.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline26.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline27.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline28.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline29.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline30.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline31.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline32.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline33.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline34.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline35.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline36.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline37.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline38.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline39.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline40.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline41.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline42.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline43.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline44.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline45.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline46.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline47.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline48.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline49.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline50.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline51.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline52.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline53.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline54.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline55.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline56.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline57.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline58.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline59.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline60.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline61.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline62.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline63.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline64.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline65.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline66.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline67.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline68.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline69.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline70.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline71.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline72.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline73.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline74.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline75.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline76.html
http://download-v5.streamload.com/1892cc9b-f41b-4218-9393-5e78bdf2eaaa/ufiles/Hosted/ponline77.html


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'reporter' => 'ddimitro',
          'key' => 'PENROSE-135',
          'assignee' => 'endisd',
          'summary' => 'java.nio.BufferOverflowException',
          'id' => '10370',
          'updated' => '2006-11-13 19:32:25.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-06-12 00:00:00.0',
                             'sequence' => '12',
                             'name' => 'Penrose-1.0',
                             'released' => 'true',
                             'id' => '10072',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'java.nio.BufferOverflowException
        at org.apache.asn1.ber.TagOctetCollector.put(TagOctetCollector.java:66)
        at org.apache.asn1.ber.Tag.add(Tag.java:108)
        at org.apache.asn1.ber.TagDecoder.decode(TagDecoder.java:53)
        at org.apache.asn1.ber.BERDecoder.decode(BERDecoder.java:153)
        at org.apache.asn1.ber.digester.BERDigester.decode(BERDigester.java:145)
        at org.apache.ldap.common.berlib.asn1.SnickersDecoder.decode(SnickersDecoder.java:98)
        at org.apache.ldap.common.message.MessageDecoder.decode(MessageDecoder.java:141)
        at org.apache.asn1.codec.mina.Asn1CodecDecoder.decode(Asn1CodecDecoder.java:41)
        at org.apache.mina.protocol.io.IoAdapter$SessionHandlerAdapter.dataRead(IoAdapter.java:136)
        at org.apache.mina.io.AbstractIoFilterChain$2.dataRead(AbstractIoFilterChain.java:152)
        at org.apache.mina.io.AbstractIoFilterChain.callNextDataRead(AbstractIoFilterChain.java:372)
        at org.apache.mina.io.AbstractIoFilterChain.access$1000(AbstractIoFilterChain.java:51)
        at org.apache.mina.io.AbstractIoFilterChain$Entry$1.dataRead(AbstractIoFilterChain.java:531)
        at org.apache.mina.io.AbstractIoFilterChain$1.dataRead(AbstractIoFilterChain.java:100)
        at org.apache.mina.io.AbstractIoFilterChain.callNextDataRead(AbstractIoFilterChain.java:372)
        at org.apache.mina.io.AbstractIoFilterChain.dataRead(AbstractIoFilterChain.java:363)
        at org.apache.mina.io.IoSessionManagerFilterChain$1.dataRead(IoSessionManagerFilterChain.java:77)
        at org.apache.mina.io.AbstractIoFilterChain.callNextDataRead(AbstractIoFilterChain.java:372)
        at org.apache.mina.io.AbstractIoFilterChain.access$1000(AbstractIoFilterChain.java:51)
        at org.apache.mina.io.AbstractIoFilterChain$Entry$1.dataRead(AbstractIoFilterChain.java:531)
        at org.apache.mina.io.filter.IoThreadPoolFilter.processEvent(IoThreadPoolFilter.java:107)
        at org.apache.mina.util.BaseThreadPool$Worker.processEvents(BaseThreadPool.java:410)
        at org.apache.mina.util.BaseThreadPool$Worker.run(BaseThreadPool.java:355)
        ',
          'affectsVersions' => [],
          'created' => '2006-02-19 20:36:36.0',
          'environment' => 'Java 5.0_5, Solaris 10 - SPARC, 4cpu, Sybase',
          'resolution' => '4',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:01:21 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-135

Note You need to log in before you can comment on or make changes to this bug.